#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QSerialPort>
#include <QSerialPortInfo>
#include <QMessageBox>
#include <QDebug>
#include <QThread>
#include "serialworker.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    void InitSerialPortName();
    QSerialPort serial_1;
    QThread serialThread_1; // 定义子线程

signals:
    void serialDataSend(const QByteArray data);

private slots:
  void on_btn_openPort_clicked();
  void on_btn_clearText_clicked();
  void handleResults(const QString &result);
};

#endif // MAINWINDOW_H
